## javax.jbi.messaging
Class MessagingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jbi.JBIException
                  javax.jbi.messaging.MessagingException

All Implemented Interfaces:
  java.io.Serializable

    public class MessagingException

extends JBIException

Generic exception used to report messaging related errors in the Normalized Message Service.

Author:
  JSR208 Expert Group
See Also:
  Serialized Form

Constructor Summary
`MessagingException(java.lang.String msg)` Create a new MessagingException.
`MessagingException(java.lang.String msg, java.lang.Throwable cause)` Create a new MessagingException with the specified cause and error text.
`MessagingException(java.lang.Throwable cause)` Create a new MessagingException with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagingException

    public MessagingException(java.lang.String msg)

  Create a new MessagingException.

  Parameters:
    `msg` - error detail

### MessagingException

    public MessagingException(java.lang.String msg,
                              java.lang.Throwable cause)

  Create a new MessagingException with the specified cause and error text.

  Parameters:
    `msg` - error detail
    `cause` - underlying error

### MessagingException

    public MessagingException(java.lang.Throwable cause)

  Create a new MessagingException with the specified cause.

  Parameters:
    `cause` - underlying error

${build-info}

${copyright}